#!/bin/sh

DIRFILE="$HOME/.surf/lastsavedir"

lastdir=$(cat "$DIRFILE")
if [ -n "$lastdir" ]; then
    cd "$lastdir"
fi

filename=$(basename -s ".html" "$1")
file=$(zenity --file-selection --save --filename="$filename.html")
if [ -n "$file" ]; then
    cat > "$file"
    dir=$(dirname "$file")
    echo "$dir" > "$DIRFILE"
fi
